Subject: Bug#1541: x2go graphics issue on MacOS Big Sur

From: Kailin Zhuang <[email-masked]>
Date: Mon, 19 Apr 2021 12:57:50 -0700

Package: x2goclient
Version: 4.1.2.1

I'm using X2Go to run scientific software on our campus compute cluster
(since 2019).
I recently installed X2Go on a new MacBook Pro 2020 with the M1 chip
running Big Sur.

Immediately after launching X2Go, the following message repeats about 10
times per minute until I close X2Go:

        com.apple.xpc.launchd[1] (com.apple.mdworker.shared.XXX): Service
exited due to SIGKILL | sent by mds[499]\

When I start Matlab (a scientific application I use for research), the x2go
window turns black and becomes unusable.
I'm enclosing a screenshot.

The same Matlab software works as expected (no display problems) when I run
it remotely via ssh (with X11 forwarding enabled) instead of X2Go.